*{
    margin: 0;
    color: white;
    font-family: sans-serif;
}

body{
    background-color: #161617;
}


#editingCanvas {
    background-color: white;
    border: 8px solid #242029;
}

#editingCanvasContainer{
    width: 1280px;
    height: 720px;
    
    margin-right: 4px;
    margin-bottom: 4px;
}

.layerEl{
    border: 2px dashed black;
}

.selectedLayer{
    border: 2px dashed rgb(229, 255, 0);
}

#menuBar {
    display: flex;
    flex-direction: column;
    width: min-content;
    height: 100vh;
    background-color: #332c3d;
}

#mainContainer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#menuContainer {
    display: flex;
    flex-direction: row;
    width: min-content;
}

.menuBarBtn{ /* for some reason, if this shit is set to 5 the corners stop working
    something to do with getBoundingRect I think.
    */
    border: none;
    color: white;
    background-color: #332c3d;
    width: 4rem;
    height: 4rem;
}

.layersClass{
    border: 2px solid #242029;
    border-radius: 8px;
    background-color: white;
}

.selected{
    border: 2px solid rgb(0, 255, 34);
}

#layersDiv {
    display: flex;
    flex-direction: column;
    background-color: #332c3d;
    align-items: center;
    width: 10%;
}

.layerBtnsContainer{
    display: flex;
    flex-direction: column;
    height: 90%;
    margin-top: 2.5%;
    justify-content: center;
}



#layersViewerContainer{
    display: flex;
    flex-direction: column-reverse;
}

#layersViewerContainer > *{
    margin: 5% 0%;
}

#addLayersBtn{
    background-color: #242029;
    border: none;
    width: 80%;
    height: 5%;
    margin: 10% 0% 5% 0;
    border-radius: 6%;
    font-size: 30px;
}

.layerBtn {
    flex: 1;
    border: none;
    background-color: #242029;
    border-radius: 3px;

}

.menuBarBtn:hover{
    background-color: #242029;
}

#addLayersBtn:hover{
    background-color: #161617;
}


.layerBtn:hover{
    background-color: #161617;
}

.column {
    display: flex;
    flex-direction: column;
}

.row {
    display: flex;
    flex-direction: row;
}

.row-reverse {
    display: flex;
    flex-direction: row-reverse;
}

.selectedMenubtn{
    background-color: #242029;
}

#menuInteracter{
    /*min-width: 50%;*/
    background-color: #242029;
}

.btmOfEditorBtns{
    margin-top: 13px;
    background-color: #242029;
    border: 0;
    padding: 10px 20px;
    border-radius: 3px;
}

.btmOfEditorBtns:hover{
    background-color: #161617;
}

#editorUtilContainer{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
}

#util{
    align-self: start;
}

.textInputWrapper{
    display: flex;
    flex-direction: row;
}


.menuInteracterContents{
    display: flex;
    flex-direction: column;
    height: 100%;

}

.menuInteracterContents > *{
    margin: 10px 6px 10px 10px;
}

.menuInteracterHeader{
    font-weight: bold;
    align-self: center;
    margin: 10px 5px;
    text-align: center;
}


.standardBtn{
    background-color: #332c3d;
    border: 0;
    border-radius: 10px;
    height: 50px;
    width: 250px;
    font-size: 18px;
    font-weight: 520;
}

.standardBtn:hover {
    background-color: #242029;

}

.hidden {
    display: none;
}

.menuInteracterInput{
    background-color: #161617;
    border: none;
    margin-left: 3px;
}

.menuInteracterInput[type=color]{
    background-color: #161617;

}

.menuInteracterInput[type=color]:hover{
    background-color: #0c0c0c;
}


#fileUploadCanvas{
    width: 90px;
    display: none;
}

#fileUploadCanvasStyled{
    background-color: #161617;
    padding: 5px 10px;
    margin-left: 3px;
    margin-top: -3px;
    border-radius: 4px;
}

#fileUploadCanvasStyled:hover{
    background-color: #0c0c0c;

}

.cropSizeTabInputAdjuster{
    width: 125px;
}

#cutSizeInput{
    width: 125px;
}

.filtersBtn{
    background-color: #332c3d;
    border: none;
    border-radius: 4px;
}

.filterBtnDiv > button{
    padding: 10px 10px;
}

.filtersBtn:hover{
    background-color: #242029;

}

.filtersBtnContainer{
    display: flex;
    flex-direction: row;
}

.deleteFilterBtn{
    width: 75px;
    font-size: 10px;
}

.filterColorInput{
    width: 30px;
    margin: 0px 5px;
}

#drawingSizeInput{
    width: 123px;
}